> ## Documentation Index
> Fetch the complete documentation index at: https://elevenlabs8.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Voices

## Get Voices

Retrieve a list of all available voices.

<RequestExample>
  ```bash theme={null}
  curl -X GET "https://api.elevenlabs8.com/api/tts/voices/" \
    -H "X-API-KEY: your_api_key_here"
  ```

  ```python theme={null}
  import requests

  url = "https://api.elevenlabs8.com/api/tts/voices/"
  headers = {
      "X-API-KEY": "your_api_key_here"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```

  ```javascript theme={null}
  const fetch = require('node-fetch');

  const url = 'https://api.elevenlabs8.com/api/tts/voices/';
  const headers = {
      'X-API-KEY': 'your_api_key_here'
  };

  fetch(url, { headers })
      .then(response => response.json())
      .then(data => console.log(data));
  ```
</RequestExample>

### Response

<ResponseExample>
  ```json theme={null}
  {
    "voices": [
      {
        "voice_id": "JBFqnCBsd6RMkjVDRZzb",
        "name": "Rachel",
        "samples": [
          {
            "sample_id": "sample_123",
            "file_name": "rachel_sample.mp3",
            "mime_type": "audio/mpeg",
            "size_bytes": 52428,
            "hash": "abc123def456",
            "duration_secs": 3.5,
            "remove_background_noise": true,
            "has_isolated_audio": true,
            "has_isolated_audio_preview": true,
            "speaker_separation": {
              "voice_id": "JBFqnCBsd6RMkjVDRZzb",
              "sample_id": "sample_123",
              "status": "completed",
              "speakers": {},
              "selected_speaker_ids": ["speaker_1"]
            },
            "trim_start": 0,
            "trim_end": 3.5
          }
        ],
        "category": "generated",
        "fine_tuning": {
          "is_allowed_to_fine_tune": false,
          "state": {},
          "verification_failures": [],
          "verification_attempts_count": 0,
          "manual_verification_requested": false,
          "language": "en",
          "progress": {},
          "message": {},
          "dataset_duration_seconds": 0,
          "verification_attempts": [],
          "slice_ids": [],
          "manual_verification": {},
          "max_verification_attempts": 3,
          "next_max_verification_attempts_reset_unix_ms": 0,
          "finetuning_state": null
        },
        "labels": {},
        "description": "Professional female voice",
        "preview_url": "https://api.elevenlabs8.com/media/samples/rachel.mp3",
        "available_for_tiers": ["free", "pro"],
        "settings": {
          "stability": 0.5,
          "use_speaker_boost": true,
          "similarity_boost": 0.75,
          "style": 0.0,
          "speed": 1.0
        },
        "sharing": {
          "status": "enabled",
          "history_item_sample_id": "history_123",
          "date_unix": 1704067200,
          "whitelisted_emails": [],
          "public_owner_id": "owner_123",
          "original_voice_id": "JBFqnCBsd6RMkjVDRZzb",
          "financial_rewards_enabled": false,
          "free_users_allowed": true,
          "live_moderation_enabled": true,
          "rate": 0,
          "fiat_rate": 0,
          "notice_period": 0,
          "disable_at_unix": 0,
          "voice_mixing_allowed": true,
          "featured": false,
          "category": "generated",
          "reader_app_enabled": true,
          "image_url": "https://api.elevenlabs8.com/media/avatars/rachel.jpg",
          "ban_reason": null,
          "liked_by_count": 0,
          "cloned_by_count": 0,
          "name": "Rachel",
          "description": "Professional female voice",
          "labels": {},
          "review_status": "not_requested",
          "review_message": null,
          "enabled_in_library": true,
          "instagram_username": null,
          "twitter_username": null,
          "youtube_username": null,
          "tiktok_username": null,
          "moderation_check": {
            "date_checked_unix": 1704067200,
            "name_value": "Rachel",
            "name_check": true,
            "description_value": "Professional female voice",
            "description_check": true,
            "sample_ids": ["sample_123"],
            "sample_checks": [1],
            "captcha_ids": [],
            "captcha_checks": []
          },
          "reader_restricted_on": []
        },
        "high_quality_base_model_ids": ["eleven_v3"],
        "verified_languages": [
          {
            "language": "en",
            "model_id": "eleven_v3",
            "accent": "american",
            "locale": "en-US",
            "preview_url": "https://api.elevenlabs8.com/media/samples/rachel_en.mp3"
          }
        ],
        "safety_control": "NONE",
        "voice_verification": {
          "requires_verification": false,
          "is_verified": true,
          "verification_failures": [],
          "verification_attempts_count": 0,
          "language": "en",
          "verification_attempts": []
        },
        "permission_on_resource": "full",
        "is_owner": false,
        "is_legacy": false,
        "is_mixed": false,
        "created_at_unix": 1704067200
      }
    ],
    "has_more": false,
    "total_count": 1,
    "next_page_token": null
  }
  ```
</ResponseExample>

## Get Voice

Retrieve details of a specific voice.

<RequestExample>
  ```bash theme={null}
  curl -X GET "https://api.elevenlabs8.com/api/tts/voices/JBFqnCBsd6RMkjVDRZzb" \
    -H "X-API-KEY: your_api_key_here"
  ```

  ```python theme={null}
  import requests

  voice_id = "JBFqnCBsd6RMkjVDRZzb"
  url = f"https://api.elevenlabs8.com/api/tts/voices/{voice_id}"
  headers = {
      "X-API-KEY": "your_api_key_here"
  }

  response = requests.get(url, headers=headers)
  print(response.json())
  ```
</RequestExample>

### Response

<ResponseExample>
  ```json theme={null}
  {
    "voice_id": "JBFqnCBsd6RMkjVDRZzb",
    "name": "Rachel",
    "samples": [
      {
        "sample_id": "sample_123",
        "file_name": "rachel_sample.mp3",
        "mime_type": "audio/mpeg",
        "size_bytes": 52428,
        "hash": "abc123def456",
        "duration_secs": 3.5,
        "remove_background_noise": true,
        "has_isolated_audio": true,
        "has_isolated_audio_preview": true,
        "speaker_separation": {
          "voice_id": "JBFqnCBsd6RMkjVDRZzb",
          "sample_id": "sample_123",
          "status": "completed",
          "speakers": {},
          "selected_speaker_ids": ["speaker_1"]
        },
        "trim_start": 0,
        "trim_end": 3.5
      }
    ],
    "category": "generated",
    "fine_tuning": {
      "is_allowed_to_fine_tune": false,
      "state": {},
      "verification_failures": [],
      "verification_attempts_count": 0,
      "manual_verification_requested": false,
      "language": "en",
      "progress": {},
      "message": {},
      "dataset_duration_seconds": 0,
      "verification_attempts": [],
      "slice_ids": [],
      "manual_verification": {},
      "max_verification_attempts": 3,
      "next_max_verification_attempts_reset_unix_ms": 0,
      "finetuning_state": null
    },
    "labels": {},
    "description": "Professional female voice",
    "preview_url": "https://api.elevenlabs8.com/media/samples/rachel.mp3",
    "available_for_tiers": ["free", "pro"],
    "settings": {
      "stability": 0.5,
      "use_speaker_boost": true,
      "similarity_boost": 0.75,
      "style": 0.0,
      "speed": 1.0
    },
    "sharing": {
      "status": "enabled",
      "history_item_sample_id": "history_123",
      "date_unix": 1704067200,
      "whitelisted_emails": [],
      "public_owner_id": "owner_123",
      "original_voice_id": "JBFqnCBsd6RMkjVDRZzb",
      "financial_rewards_enabled": false,
      "free_users_allowed": true,
      "live_moderation_enabled": true,
      "rate": 0,
      "fiat_rate": 0,
      "notice_period": 0,
      "disable_at_unix": 0,
      "voice_mixing_allowed": true,
      "featured": false,
      "category": "generated",
      "reader_app_enabled": true,
      "image_url": "https://api.elevenlabs8.com/media/avatars/rachel.jpg",
      "ban_reason": null,
      "liked_by_count": 0,
      "cloned_by_count": 0,
      "name": "Rachel",
      "description": "Professional female voice",
      "labels": {},
      "review_status": "not_requested",
      "review_message": null,
      "enabled_in_library": true,
      "instagram_username": null,
      "twitter_username": null,
      "youtube_username": null,
      "tiktok_username": null,
      "moderation_check": {
        "date_checked_unix": 1704067200,
        "name_value": "Rachel",
        "name_check": true,
        "description_value": "Professional female voice",
        "description_check": true,
        "sample_ids": ["sample_123"],
        "sample_checks": [1],
        "captcha_ids": [],
        "captcha_checks": []
      },
      "reader_restricted_on": []
    },
    "high_quality_base_model_ids": ["eleven_v3"],
    "verified_languages": [
      {
        "language": "en",
        "model_id": "eleven_v3",
        "accent": "american",
        "locale": "en-US",
        "preview_url": "https://api.elevenlabs8.com/media/samples/rachel_en.mp3"
      }
    ],
    "safety_control": "NONE",
    "voice_verification": {
      "requires_verification": false,
      "is_verified": true,
      "verification_failures": [],
      "verification_attempts_count": 0,
      "language": "en",
      "verification_attempts": []
    },
    "permission_on_resource": "full",
    "is_owner": false,
    "is_legacy": false,
    "is_mixed": false,
    "created_at_unix": 1704067200
  }
  ```
</ResponseExample>

### Voice Properties

| Property                      | Type    | Description                              |
| ----------------------------- | ------- | ---------------------------------------- |
| `voice_id`                    | string  | Unique voice identifier                  |
| `name`                        | string  | Voice name                               |
| `samples`                     | array   | Voice sample files                       |
| `category`                    | string  | Voice category (generated, cloned, etc.) |
| `fine_tuning`                 | object  | Fine-tuning configuration                |
| `labels`                      | object  | Voice labels and metadata                |
| `description`                 | string  | Voice description                        |
| `preview_url`                 | string  | URL to voice preview                     |
| `available_for_tiers`         | array   | Available subscription tiers             |
| `settings`                    | object  | Voice generation settings                |
| `sharing`                     | object  | Sharing and public settings              |
| `high_quality_base_model_ids` | array   | Supported high-quality models            |
| `verified_languages`          | array   | Verified language support                |
| `safety_control`              | string  | Safety control level                     |
| `voice_verification`          | object  | Voice verification status                |
| `permission_on_resource`      | string  | User permissions                         |
| `is_owner`                    | boolean | Whether user owns the voice              |
| `is_legacy`                   | boolean | Whether voice is legacy                  |
| `is_mixed`                    | boolean | Whether voice is mixed                   |
| `created_at_unix`             | integer | Creation timestamp                       |

### Voice Settings

| Setting             | Type    | Range      | Description                           |
| ------------------- | ------- | ---------- | ------------------------------------- |
| `stability`         | float   | 0.0 - 1.0  | Controls voice consistency            |
| `use_speaker_boost` | boolean | -          | Enhances speaker clarity              |
| `similarity_boost`  | float   | 0.0 - 1.0  | Controls voice similarity to original |
| `style`             | float   | 0.0 - 1.0  | Controls speaking style               |
| `speed`             | float   | 0.25 - 4.0 | Controls speaking speed               |
